#!/usr/bin/perl

#print "Content-Type: text/html\n\n";
print "Content-Type: text/plain\n\n";

my $dcimdir="/mnt/sd/DCIM";

my $tmpstr=$ENV{'QUERY_STRING'};
my $searchdir="";

if($tmpstr eq ""){
	$tmpstr="op=100";
	$searchdir=$ARGV[0];
}

open(FILE,">>/mnt/sd/test.txt");
print FILE "command $tmpstr $searchdir\n";
close(FILE);
#$tmpstr="op=100";

if($tmpstr eq "op=101"){
    print "2";
}elsif($tmpstr eq "op=102"){
    print "1";
}elsif($tmpstr eq "op=103"){
    print "1607beb4bb14c1a20388020019dd5b";
}elsif($tmpstr eq "op=104"){
    print "flucard-flashair";
}elsif($tmpstr eq "op=105"){
    print "12345678";
}elsif($tmpstr eq "op=106"){
    print "a4e495185f7b";
}elsif($tmpstr eq "op=107"){
    print "Accept-Language: ja,en-US;q=0.8,en;q=0.6";
}elsif($tmpstr eq "op=108"){
    print "F24A6W3AW1.00.01";
}elsif($tmpstr eq "op=100"){

    if($searchdir ne ""){
    	$dcimdir=$searchdir;
    }	    
    printheader();	
    my $count=0;
    opendir(DIR,"$dcimdir");
    while(my $filename=readdir(DIR)){
	my $fullfilename="$dcimdir/$filename";
	if(($filename =~ /\.JPG/)
	   || ($filename =~ /\.jpg/)
	   || ((-d $fullfilename )
	       && ($filename ne ".")
	       && ($filename ne "..") )
	    ){
	    my @filestat=stat($fullfilename);
	    my $dcimdirtmp=$dcimdir;
	    $dcimdirtmp=~ s/\/mnt//ig;
	    my $filetype=32;
	    if(-d $fullfilename){
	    	$filetype=16;
	    }
	    print "wlansd[$count]=\"$dcimdirtmp,$filename,$filestat[7],$filetype,0,0\";\n";
	    $count++;
	}
    }
    closedir(DIR);
    printfooter();
}
   
sub printheader{
    print <<EOF;
<!DOCTYPE html><html>
<head>
<meta charset="Shift_JIS" />
<title>List</title>
</head>
<body>
<script type="text/javascript"> 
wlansd = new Array();
EOF
}    

sub printfooter{
    print <<EOF;
for (var i = 0, it; (it = wlansd[i]); i++) {
var d = it.split(/,/);
var a = document.createElement('a');
a.href = d[0] + '/' + d[1];	
a.appendChild(document.createTextNode(d[1]));
document.body.appendChild(a);
}
</script>
<style>
    html, body {
      padding: 0;	
      margin: 0;
    }
    a {
      display: block;
      padding: 10px;
    }
    a:nth-child(odd) {
      background: #f1f1f1;
    }
</style>
</body>
</html> 
EOF
}



exit;
